Scala Bytecode Parser2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package scalap
  Definition Classes
    tools
-  package scalax
  Definition Classes
    scalap
-  package rules
  Definition Classes
    scalax
-  package scalasig
  Definition Classes
    rules
- Choice
- DefaultMemoisable
- Error
- Failure
- InRule
- Memoisable
- MemoisableRules
- Name
- NoSuccess
- Result
- Rule
- Rules
- RulesWithState
- ScalaSigParserError
- SeqRule
- StateRules
- Success
- ~

t

scala.tools.scalap.scalax.rules

# MemoisableRules 

###

#### trait MemoisableRules extends Rules

Source
  Memoisable.scala

Linear Supertypes
Rules, AnyRef, Any
Known Subclasses
ScalaSigEntryParsers, ScalaSigParsers
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MemoisableRules
2. Rules
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class DefaultRule [In, Out, A, X] extends Rule[In, Out, A, X]
   Definition Classes
     Rules
2.  trait FromRule [In] extends AnyRef
   Definition Classes
     Rules

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from MemoisableRules to any2stringadd[MemoisableRules] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (MemoisableRules, B)
   Implicit
     This member is added by an implicit conversion from MemoisableRules to ArrowAssoc[MemoisableRules] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (MemoisableRules) ⇒ Boolean, msg: ⇒ Any): MemoisableRules
   Implicit
     This member is added by an implicit conversion from MemoisableRules to Ensuring[MemoisableRules] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (MemoisableRules) ⇒ Boolean): MemoisableRules
   Implicit
     This member is added by an implicit conversion from MemoisableRules to Ensuring[MemoisableRules] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): MemoisableRules
    Implicit
      This member is added by an implicit conversion from MemoisableRules to Ensuring[MemoisableRules] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): MemoisableRules
    Implicit
      This member is added by an implicit conversion from MemoisableRules to Ensuring[MemoisableRules] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def error[X](err: X): Rule[Any, Nothing, Nothing, X]
    Definition Classes
      Rules
15.  def error[In]: Rule[In, Nothing, Nothing, In]
    Definition Classes
      Rules
16.  def expect[In, Out, A, Any](rule: Rule[In, Out, A, Any]): (In) ⇒ A

    Converts a rule into a function that throws an Exception on failure.

    Converts a rule into a function that throws an Exception on failure.

    Definition Classes
      Rules
17.  def failure: Rule[Any, Nothing, Nothing, Nothing]
    Definition Classes
      Rules
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from MemoisableRules to StringFormat[MemoisableRules] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  def from[In]: FromRule[In]
    Definition Classes
      Rules
21.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
23.  implicit def inRule[In, Out, A, X](rule: Rule[In, Out, A, X]): InRule[In, Out, A, X]
    Definition Classes
      Rules
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  def memo[In <: Memoisable, Out, A, X](key: AnyRef)(toRule: ⇒ (In) ⇒ Result[Out, A, X]): Rule[In, Out, A, X]
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
29.  def oneOf[In, Out, A, X](rules: Rule[In, Out, A, X]*): Rule[In, Out, A, X]
    Definition Classes
      Rules
30.  implicit def rule[In, Out, A, X](f: (In) ⇒ Result[Out, A, X]): Rule[In, Out, A, X]
    Definition Classes
      Rules
31.  def ruleWithName[In, Out, A, X](name: String, f: (In) ⇒ Result[Out, A, X]): Rule[In, Out, A, X] with Name
    Definition Classes
      MemoisableRules → Rules
32.  implicit def seqRule[In, A, X](rule: Rule[In, In, A, X]): SeqRule[In, A, X]
    Definition Classes
      Rules
33.  def state[s]: StateRules { type S = s }
    Definition Classes
      Rules
34.  def success[Out, A](out: Out, a: A): Rule[Any, Out, A, Nothing]
    Definition Classes
      Rules
35.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
36.  def toString(): String
    Definition Classes
      AnyRef → Any
37.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  def →[B](y: B): (MemoisableRules, B)
    Implicit
      This member is added by an implicit conversion from MemoisableRules to ArrowAssoc[MemoisableRules] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Rules

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from MemoisableRules to any2stringadd[MemoisableRules]

### Inherited by implicit conversion StringFormat from MemoisableRules to StringFormat[MemoisableRules]

### Inherited by implicit conversion Ensuring from MemoisableRules to Ensuring[MemoisableRules]

### Inherited by implicit conversion ArrowAssoc from MemoisableRules to ArrowAssoc[MemoisableRules]

### Ungrouped